/*
 * @Author: your name
 * @Date: 2022-01-06 10:05:44
 * @LastEditTime: 2022-01-06 11:02:00
 * @LastEditors: Please set LastEditors
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: \vue-admin-template\src\router\routes\routes-file-four.js
 */
import Layout from '@/layout'

const auditRoutes = {
  path: '/audit',
  component: Layout,
  redirect: '/dashboard',
  hidden: true,
  children: [
    {
      path: '',
      name: 'Audit',
      component: () => import('@/views/audit'),
      meta: { title: '审计管理' }
    }
  ]
}

const systemManagementRoutes = {
  path: '/',
  component: Layout,
  redirect: '/dashboard',
  children: [{
    path: 'systemManagement',
    name: 'systemManagement',
    component: () => import('@/views/systemManagement/index'),
    meta: {
      title: '系统管理',
      icon: 'systemManagement',
      imgstyle: 'ic_home_nav_defaul.png',
      imgstyleup: 'ic_home_nav_check.png'
    },
  },
  {
    path: 'LoginPolicy',
    name: 'LoginPolicy',
    component: () => import('@/views/systemManagement/LoginPolicy/index'),
    meta: {
      title: '登录策略',
      icon: 'LoginPolicy',
      imgstyle: 'ic_home_nav_defaul.png',
      imgstyleup: 'ic_home_nav_check.png'
    },
  },
  {
    path: 'addSystem',
    name: 'addSystem',
    hidden: true,
    component: () => import('@/views/systemManagement/addSystem/index'),
    meta: {
      title: '新增策略信息',
      icon: 'addSystem',
      imgstyle: 'ic_home_nav_defaul.png',
      imgstyleup: 'ic_home_nav_check.png'
    },
  },
  {
    path: 'EditSystem',
    name: 'EditSystem',
    hidden: true,
    component: () => import('@/views/systemManagement/EditSystem/index'),
    meta: {
      title: '编辑策略信息',
      icon: 'EditSystem',
      imgstyle: 'ic_home_nav_defaul.png',
      imgstyleup: 'ic_home_nav_check.png'
    },
  },
  ]
}

export default [
  auditRoutes,
  systemManagementRoutes
]
