/*
 * @Author: your name
 * @Date: 2021-10-21 09:31:21
 * @LastEditTime: 2022-01-09 10:14:26
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: \Foshan4A\src\router\routes\routes-file-one.js
 */
import Layout from '@/layout'

//首页
const dashboardRoutes = {
  path: '/',
  component: Layout,
  redirect: '/dashboard',
  children: [{
    path: 'dashboard',
    name: 'Dashboard',
    component: () => import('@/views/dashboard/index'),
    meta: { title: '首页', icon: 'dashboard', imgstyle: 'ic_home_nav_defaul.png', imgstyleup: 'ic_home_nav_check.png', affix: true }
  }]
}

//权限管理
const authorityRoutes = {
  path: '/',
  component: Layout,
  redirect: '/dashboard',
  children: [{
    path: 'authority',
    component: () => import('@/views/authorityManagement/index'),
    meta: { title: '权限管理', icon: 'authority', imgstyle: 'ic_home_nav_defaul.png', imgstyleup: 'ic_home_nav_check.png' },
    children: [
      {
        path: '/',
        name: 'AuthorityHome',
        component: () => import('@/views/authorityManagement/components/authorityHome'),
        meta: { title: '权限项管理', icon: 'authority', imgstyle: 'ic_home_nav_defaul.png', imgstyleup: 'ic_home_nav_check.png' }
      },
      {
        path: 'appAdd',
        name: 'AuthorityAppAdd',
        component: () => import('@/views/authorityManagement/components/authorityAppAdd'),
        meta: { title: '新增应用', icon: 'authority', imgstyle: 'ic_home_nav_defaul.png', imgstyleup: 'ic_home_nav_check.png' }
      },
      {
        path: 'appEdit',
        name: 'AuthorityAppEdit',
        component: () => import('@/views/authorityManagement/components/authorityAppEdit'),
        meta: { title: '编辑应用', icon: 'authority', imgstyle: 'ic_home_nav_defaul.png', imgstyleup: 'ic_home_nav_check.png' }
      },
      {
        path: 'addPower',
        name: 'AuthorityPowerAdd',
        component: () => import('@/views/authorityManagement/components/authorityPowerAdd'),
        meta: { title: '新增权限项', icon: 'authority', imgstyle: 'ic_home_nav_defaul.png', imgstyleup: 'ic_home_nav_check.png' }
      },
      {
        path: 'editPower',
        name: 'AuthorityPowerEdit',
        component: () => import('@/views/authorityManagement/components/authorityPowerEdit'),
        meta: { title: '编辑权限项', icon: 'authority', imgstyle: 'ic_home_nav_defaul.png', imgstyleup: 'ic_home_nav_check.png' }
      }
    ]
  }]
}

//权限管理
const roleRoutes = {
  path: '/',
  component: Layout,
  children: [{
    path: 'role',
    component: () => import('@/views/authorityManagement/components/authorityRole'),
    meta: { title: '权限管理', icon: 'authority', imgstyle: 'ic_home_nav_defaul.png', imgstyleup: 'ic_home_nav_check.png' },
    children: [
      {
        path: '/',
        name: 'AuthorityRoleHome',
        component: () => import('@/views/authorityManagement/components/authorityRoleHome'),
        meta: { title: '角色管理', icon: 'authority', imgstyle: 'ic_home_nav_defaul.png', imgstyleup: 'ic_home_nav_check.png' }
      },
      {
        path: 'addRole',
        name: 'AuthorityRoleAdd',
        component: () => import('@/views/authorityManagement/components/authorityRoleAdd'),
        meta: { title: '新增角色', icon: 'authority', imgstyle: 'ic_home_nav_defaul.png', imgstyleup: 'ic_home_nav_check.png' }
      },
      {
        path: 'editRole',
        name: 'AuthorityRoleEdit',
        component: () => import('@/views/authorityManagement/components/authorityRoleEdit'),
        meta: { title: '编辑角色', icon: 'authority', imgstyle: 'ic_home_nav_defaul.png', imgstyleup: 'ic_home_nav_check.png' }
      }
    ]
  }]
}

export default [
  dashboardRoutes,
  authorityRoutes,
  roleRoutes
]