/*
 * @Author: your name
 * @Date: 2022-01-06 09:45:17
 * @LastEditTime: 2022-01-07 16:46:06
 * @LastEditors: Please set LastEditors
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: \vue-admin-template\src\utils\request.js
 */
import axios from 'axios'
import { MessageBox, Message } from 'element-ui'
import store from '@/store'
import { getToken, getUserId } from '@/utils/auth'
import { Loading } from 'element-ui'
// create an axios instance
const service = axios.create({
  //baseURL: baseURL, // url = base url + request url
  //baseURL: 'http://106.14.243.117:9002',
  baseURL: `${PLATFROM_CONFIG.baseUrl}`,
  // withCredentials: true, // send cookies when cross-domain requests
  timeout: 30000, // request timeout
  headers:{
    'Content-Type': 'application/json'
  },
})
const loadingInstance = Loading.service({
  text: '数据加载中'
})
// request interceptor
service.interceptors.request.use(
  config => {
      // config.headers.common["content-type"] = "application/json"
    if (config.data) {
      config.data['OperatorId'] = getUserId()
    }
    // do something before request is sent
    // config.headers['Content-Type'] = 'text/plain'
    if (store.getters.token) {
      // let each request carry token
      // ['X-Token'] is a custom headers key
      // please modify it according to the actual situation
      config.headers['Token'] = getToken()
    }
    return config
  },
  error => {
    // do something with request error
    console.log(error) // for debug
    return Promise.reject(error)
  }
)

// response interceptor
service.interceptors.response.use(
  /**
   * If you want to get http information such as headers or status
   * Please return  response => response
  */

  /**
   * Determine the request status by custom code
   * Here is just an example
   * You can also judge the status by HTTP Status Code
   */
  response => {
    const res = response.data

    // if the custom code is not 20000, it is judged as an error.
    if (res.code !== 0) {
      Message({
        message: res.message || 'Error',
        type: 'error',
        duration: 5 * 1000
      })

      // 50008: Illegal token; 50012: Other clients logged in; 50014: Token expired;
      if (res.code === 50008 || res.code === 50012 || res.code === 50014) {
        // to re-login
        MessageBox.confirm('You have been logged out, you can cancel to stay on this page, or log in again', 'Confirm logout', {
          confirmButtonText: 'Re-Login',
          cancelButtonText: 'Cancel',
          type: 'warning'
        }).then(() => {
          store.dispatch('user/resetToken').then(() => {
            location.reload()
          })
        })
      }
      loadingInstance.close()
      return Promise.reject(new Error(res.message || 'Error'))
    } else {
      loadingInstance.close()
      return res
    }
  },
  error => {
    console.log('err' + error) // for debug
    Message({
      message: error.message,
      type: 'error',
      duration: 5 * 1000
    })
    loadingInstance.close()
    return Promise.reject(error)
  }
)

export default service
